Bug 602934 - [abrt] crash in fldigi-3.20.12-2.fc13: Process /usr/bin/fldigi was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in fldigi-3.20.12-2.fc13: Process /usr/bin/fldigi was killed by ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fldigi
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Randy Berry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:38267490789e048918879a8df31...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-11 04:04 UTC by Jeff Sumner
Modified: 2010-06-20 03:28 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-06-20 03:28:03 UTC


Attachments (Terms of Use)
File: backtrace (31.18 KB, text/plain)
2010-06-11 04:04 UTC, Jeff Sumner
no flags Details

Description Jeff Sumner 2010-06-11 04:04:50 UTC
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: fldigi
comment: I'm trying to debug why FLDIGI will bring X down, so started it with redirection enabled. CTRL-C and it cored.
component: fldigi
executable: /usr/bin/fldigi
global_uuid: 38267490789e048918879a8df310cd1aad2d6496
kernel: 2.6.33.5-112.fc13.i686
package: fldigi-3.20.12-2.fc13
rating: 3
reason: Process /usr/bin/fldigi was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Start FLDIGI with output redirected via 2>&1 for debugging
2. Press CTRL-C to quit
3. Watch the core.

Comment 1 Jeff Sumner 2010-06-11 04:04:52 UTC
Created attachment 423131 [details]
File: backtrace

Comment 2 Randy Berry 2010-06-11 05:31:56 UTC
Hi Jeff,
I submitted your report upstream as I was unable to reproduce the bug here. Could you please include the rig you are using with fldigi if you are using CAT control? And if you are using pulseaudio or portaudio. 

As many details that you can provide may help allot.

Meanwhile Fldigi 3.20-15 will be submitted to updates-testing shortly. I am test building it as of this report. 

Thanks es 73 de Randy N3LRX

Comment 3 Jeff Sumner 2010-06-11 11:51:24 UTC
Thank you Randy!
Rig control is for a Ten-Tec Orion, and I'm using the Portaudio, but it's setting Pulseaudio as the engine to use.
I'm actually having a lot of trouble with this particular build of Fedora 13 with regards to X- I'm troubleshooting why resizing FLDIGI crashes X. I'm also troubleshooting why X is missing mouse-up events (where "mouse-down" becomes sticky and won't release until some random several seconds of moving it via the track-pad/point stick, and randomly pressing right/left mouse buttons) where I decided to run FLDIGI in this way.

This crash happened whilst FLDIGI was doing normal decoding (PSK31, I believe) and BEFORE the configuration file was saved for the first time.

Comment 4 Randy Berry 2010-06-19 20:12:06 UTC
3.20.15 has been pushed to updates-testing please see if the problem still occurs.

Comment 5 Jeff Sumner 2010-06-20 02:47:57 UTC
That fixed it- thanks!


Note You need to log in before you can comment on or make changes to this bug.